adios2 (2.10.2+dfsg1-5build2) resolute; urgency=medium

  * No-change rebuild for libblosc2-6.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 23 Dec 2025 17:55:33 +0000

adios2 (2.10.2+dfsg1-5build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:13:14 +0000

adios2 (2.10.2+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * d/rules: Skip Blosc2 on s390x. Closes: #1115300

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Sep 2025 13:55:09 +0200

adios2 (2.10.2+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * AutoPkgTests: set c++11/c99. Closes: #1115195
  * d/patches: correct metadata
  * Added patch to record only the build system type (Linux) and not the
    build system kernal version to enhance reproducibility. Closes:
    #1104694.
  * Standards-Version: 4.7.2 (routine-update)
  * Do not parse d/changelog (routine-update)
  * d/control: Trim trailing whitespace.
  * d/control: turn off Multi-Arch for some -dev packages, they have
    differing contents.
  * d/rules: set FFLAGS using CPPFLAGS for improved hardening.
  * d/control: fix some package sections.
  * Added patch to fix a typo.
  * d/upstream/metadata: Documented upstream project and their
    recommended citation.
  * AutoPkgTests: set a HOME directory to fix a Segmentation fault.
  * d/rules: switch to Blosc2, add ZFP instead of the no-longer available SST.
  * Added patch to use proper dynamic vector construction to fix
    segfault with gcc-15.
  * Autopkgtests: turn on verbose and debug enabled building of the
    test/examples.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Sep 2025 00:11:40 +0200

adios2 (2.10.2+dfsg1-3) unstable; urgency=medium

  * Team upload
  * Salsa CI: package only build for 64 bits
  * Drop dependency on python3-pkg-resources, dh-cmake is fixed

 -- Alexandre Detiste <tchet@debian.org>  Fri, 08 Aug 2025 19:25:41 +0200

adios2 (2.10.2+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Build-Depend on python3-pkg-resources (Closes: #1100193)

  [ Adrien Nader ]
  * tests: use OpenMPI 5.0's environment variables for over-subscription

 -- Bastian Germann <bage@debian.org>  Thu, 13 Mar 2025 17:50:56 +0100

adios2 (2.10.2+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * update debian patch cmake_config_flavor.patch to add build flavour
    and soname to h5vol support library. Used with HDF5 v1.14.
    Conditionally install in libadios2-*-auxiliary* packages.
    Closes: #1088789.
  * update intra-source-package-circular-dependency lintian overrides
    in debian/source/lintian-overrides

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Dec 2024 20:34:50 +0100

adios2 (2.10.1+dfsg1-13) unstable; urgency=medium

  * Team upload.

  [ Gilles Filippini ]
  * Fix patch multiple_python_versions.patch so that the corresponding
    Python interpreter is used for each Python release we build against
    (closes: #1086088)

  [ Michael R. Crusoe ]
  * d/salsa-ci.yml: enable Salsa CI testing

  [ Stefano Rivera ]
  * Drop unnecessary Provides: ${python3:Provides}.
  * Install the missing Pure Python bits with a .pyinstall file.
  * Add missing dependency on python3-numpy to python3-adios2.
  * Allow stderr messages in all autopkgtests (for cmake deprecations).

 -- Stefano Rivera <stefanor@debian.org>  Sat, 30 Nov 2024 21:00:25 -0400

adios2 (2.10.1+dfsg1-12) unstable; urgency=medium

  * adios2 cmake config files check if plugin files are installed, so
    set libadios2-*-core-2.10 Depends: libadios2-*-plugins
    instead of Recommends. Set debian/source/lintian-overrides to
    ignore intra-source-package-circular-dependency, since plugin
    packages get Depends: *core via ${shlibs:Depends}. The two have to
    go together. Closes: #1084255.

 -- Drew Parsons <dparsons@debian.org>  Sat, 12 Oct 2024 20:20:05 +0200

adios2 (2.10.1+dfsg1-11) unstable; urgency=medium

  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Oct 2024 12:35:28 +0200

adios2 (2.10.1+dfsg1-10) experimental; urgency=medium

  * debian/tests Restrictions: allow-stderr in MPI tests.
    arm64 started sending compile warnings to stderr compiling the
    gray-scott_pdf-calc simulation for adios2-mpi-examples.

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Sep 2024 10:14:46 +0200

adios2 (2.10.1+dfsg1-9) experimental; urgency=medium

  * debian/tests/adios2-mpi-examples: fix syntax finding tests

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Sep 2024 22:38:35 +0200

adios2 (2.10.1+dfsg1-8) experimental; urgency=medium

  * debian/tests/adios2-mpi-examples: run *Writer before *Reader
    to ensure adios2_hello_bpReader_mpi passes on arm64

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Sep 2024 16:24:17 +0200

adios2 (2.10.1+dfsg1-7) experimental; urgency=medium

  * debian/tests: update names of *Read, *Write to run write tests
    before read tests. Collect executable files only.

 -- Drew Parsons <dparsons@debian.org>  Fri, 13 Sep 2024 11:48:53 +0200

adios2 (2.10.1+dfsg1-6) experimental; urgency=medium

  * debian/tests/adios2-mpi-examples: skip globalArray1DRead_*
    (i.e. add adios2_basics_globalArray1DRead_c to skips)

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 Sep 2024 16:15:37 +0200

adios2 (2.10.1+dfsg1-5) experimental; urgency=medium

  * update skips in debian/tests examples tests
    - examples now use an adios2_ prefix.
    - skip globalArray1DRead_f (basic) in MPI examples

 -- Drew Parsons <dparsons@debian.org>  Wed, 11 Sep 2024 20:41:05 +0200

adios2 (2.10.1+dfsg1-4) experimental; urgency=medium

  * add debian patch fix_examples_cmake.patch to fix examples
    - only add MPI support if ADIOS2_HAVE_MPI is set.
    - only build plugins/engine if ADIOS2_add_examples_plugins_engine
      is set (i.e. skip engines, since the plugin is not built)
  * update debian/tests/adios2-{mpi,serial}-examples to use
    adios2.is_built_with_mpi to test for serial or MPI build.
  * update debian/tests/adios2-mpi-examples
    - update names of python tests
    - skip simulations gray-scott, gray-scott-struct,
      and queryWorker (basics). They do run, but need additional
      config files from the source dirs
  * debian patch fix_example_hello_bpFWriteCRead_PR4239.patch applies
    upstream PR#4239 to fix CppReader in the hello bpFWriteCRead
    example.

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Sep 2024 22:47:53 +0200

adios2 (2.10.1+dfsg1-3) experimental; urgency=medium

  * update fix_cmake_dill_ffi.patch to not impose DILL_NATIVE_ONLY if
    NATIVE_ARCH is UNSUPPORTED. i.e. enable libffi emulation on
    unsupported arches (riscv64, s390x, etc)

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Sep 2024 13:45:26 +0200

adios2 (2.10.1+dfsg1-2) experimental; urgency=medium

  * debian patch fix_cmake_dill_ffi.patch fixes dill's FindLibFFI.cmake
    to set LIBFFI_FOUND when found with pkgconfig. Needed for less
    common arches (riscv64, s390x, etc) not directly supported by dill.
  * debian/tests Depends: libadios2-serial-plugins, libadios2-mpi-plugins

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Sep 2024 10:56:43 +0200

adios2 (2.10.1+dfsg1-1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release. Closes: #1077346.
    - new ABI 2.10
  * Add Francesco Ballarin to uploaders
  * Drop thirdparty_soname.patch: the patch used to add the version of the
    third party library perfstubs to its soname, but upstream has now decided
    to give its own version number to the third party library.
  * Drop python_fix.patch, which has been integrated upstream
  * Drop fix_examples_BeginStep_PR3856.patch: PR #3856 has been included in
    upstream release 2.10.0.
  * Refresh remaining patches
  * Change CMake variable -DEVPATH_TRANSPORT_MODULES from OFF to ON to fix
    linking error
     /usr/bin/ld: lib/x86_64-linux-gnu/libadios2_serial_evpath.so.2.10.0:
     undefined reference to `cmfabric_add_static_transport'
    - Provide transport modules in libadios2-mpi-auxiliary-2
    - Closes: #1070338

  [ Drew Parsons ]
  * Handle RUNPATH configuration with -DCMAKE_SKIP_INSTALL_RPATH=ON
  * update debian patch multiple_python_versions.patch to activate
    DetectPythonOptions in toplevel CMakeLists.txt.
  * update python installation
    - python entry scripts now provided by python3-adios2
    - install bindings/__init__.py with base python component
      and bindings extensions (.so) in -serial, -mpi packages
    - debian patch python_bindings_flavour.patch moves handling of
      serial or mpi flavor to adios2/bindings/__init__/py
    - drop debian patch Skip-install-init-py.patch
    - install common python files "twice" into the same location in
      python3-adios to avoid dh_missing complaints
  * Build-Depends: pkgconf not pkg-config
  * add man page (help2man) for new script adios2_campaign_manager
  * debian/rules: define ADIOS2_SOVERSION as MAJOR.MINOR
    (i.e. 2.10 not just 2)
  * provide plugin libraries in libadios2-{serial,mpi}-plugins.
    Required since plugins do not carry a soname and the plugin
    installation dir is not ABI-specific.
    libadios2-*-plugins Replaces/Breaks: libadios2-*-core-2
    libadios2-*-core-2.10 Recommends: libadios2-*-plugins.

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Sep 2024 10:06:01 +0200

adios2 (2.9.2+dfsg1-13) unstable; urgency=medium

  * ensure DEB_HOST_ARCH_ENDIAN is set in adios2-serial-examples

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Feb 2024 20:39:02 +0100

adios2 (2.9.2+dfsg1-12) unstable; urgency=medium

  * debian patch multiple_python_versions.patch enables build for
    multiple Python versions to be specified via ADIOS2_Python_Version
    e.g. -DADIOS2_Python_Version="3.11;3.12"
  * build python extensions for all supported Python versions
  * debian/tests: skip OperatorPlugin and joinedArray tests on
    big-endian systems (s390x, etc)

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Feb 2024 16:20:35 +0100

adios2 (2.9.2+dfsg1-11) unstable; urgency=medium

  * skip the Install.CMake.EncryptionOperator test on s390x and ppc64
    (assume the test failure affects any big-endian system and was
    triggered by -DADIOS2_USE_Endian_Reverse=ON)
  * Build-Depends: libucx-dev [amd64 arm64].
    Not riscv64 since openmpi doesn't (yet) build with it.
    Not ppc64el since it fails to build latest ucx.
  * fix installation of adios2-config.serial man page in
    libadios2-serial-core-dev

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Feb 2024 21:21:03 +0100

adios2 (2.9.2+dfsg1-10) unstable; urgency=medium

  * use help2man to generate manpages for executables where possible
  * build with -DADIOS2_USE_Endian_Reverse=ON on big-endian systems
    such as s390x

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Feb 2024 13:27:33 +0100

adios2 (2.9.2+dfsg1-9) unstable; urgency=medium

  * debian/tests: skip flakey test insituGlobalArraysReaderNxN_mpi on
    all arches. Closes: #1062356.

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Feb 2024 13:36:22 +0100

adios2 (2.9.2+dfsg1-8) unstable; urgency=medium

  * in debian's toplevel cmake config file for adios2, check if MPI is
    being used with MPI_FOUND, since MPI_C_INCLUDE_DIRS does not allow
    for other languages (CXX, Fortran).

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 Dec 2023 19:03:51 +0100

adios2 (2.9.2+dfsg1-7) unstable; urgency=medium

  * fix processing of common files in both arch and indep builds

 -- Drew Parsons <dparsons@debian.org>  Tue, 26 Dec 2023 15:45:30 +0100

adios2 (2.9.2+dfsg1-6) unstable; urgency=medium

  * debian/rules: process common files on both arch and indep builds,
    otherwise common files are not removed from serial and mpi
    packages. Closes: #1058353.
  * debian/rules: fix patching DEB_HOST_MULTIARCH into
    /usr/bin/adios2-config.*

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Dec 2023 21:24:52 +0100

adios2 (2.9.2+dfsg1-5) unstable; urgency=medium

  * debian/rules: extend execute_after_dh_install rules to distinguish
    arch and indep builds when moving include files to common packages
    - skip ADIOSConfig.h from list of files to check since we know it
      is not common and the alternative paths give a diff error
  * provide adios2-config-version.cmake in libadios2-common-core-dev
    alongside common adios2-config.cmake

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Dec 2023 01:07:31 +0100

adios2 (2.9.2+dfsg1-4) unstable; urgency=medium

  * debian/control: update Vcs tags to salsa.debian.org
  * update debian/patches/cmake_config_flavor.patch to install
    ADIOSConfig.h in /usr/include/adios2/build/<flavor>/adios2/common
    and register in configured include paths. Enables conflict between
    libadios2-mpi-core-dev and libadios2-serial-core-dev to be dropped.
  * provide the common debian adios2-config.cmake config file in
    libadios2-common-core-dev not libadios2-serial-core-dev.
    Point the mpi subdir at mpi not openmpi (adios2 currently only
    supports the default MPI implementation, not alternatives)
    - revert libadios2-common-core-dev back to Architecture: any,
      Multi-Arch: same, since adios2-config.cmake is placed in an
      arch-specific cmake path. libadios2-{serial,mpi}-core-dev
      Depends: libadios2-common-core-dev (= ${binary:Version}) not
      (= ${source:Version})
  * patch adios2-config scripts to use DEB_HOST_MULTIARCH.
    Allows libadios2-{mpi,serial}-core-dev Multi-Arch: same.

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Dec 2023 12:49:42 +0100

adios2 (2.9.2+dfsg1-3) unstable; urgency=medium

  * debian/tests: skip insituGlobalArraysReaderNxN_mpi on
    arm64 s390x, where the test times out.

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Nov 2023 12:24:29 +0100

adios2 (2.9.2+dfsg1-2) unstable; urgency=medium

  * debian/tests: run _write examples before _read to ensure file to
    be read has been generated

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Nov 2023 04:40:33 +0100

adios2 (2.9.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * drop Multi-Arch: same from libadios2-serial-core-dev,
    libadios2-mpi-core-dev since /usr/bin/adios2-config.* contains
    arch-specific paths.
  * mark libadios2-common-core-dev, libadios2-common-c-dev,
    libadios2-common-c++11-dev as Architecture: all,
    Multi-Arch: foreign
  * installation of adios2-config fails since cmake config files can't
    be found (upstream issue #3669). Workaround the bug by adding
    installation path to CMAKE_PREFIX_PATH for the install step.
  * add debian patches
    - fix_adios2-config_DESTDIR_revoke_PR3850.patch reverts upstream
      PR#3850, which preveneted DESTDIR from being prepended to
      PREFIX, see upstream Issue#3941. BINDIR is needed to create
      adios2-config, so ensure it is available instead of blocking
      DESTDIR
    - fix_examples_BeginStep_PR3856.patch applies an excerpt from
      upstream PR#3856 to handle BeginStep in bpReader examples
  * update debian/tests
    - run ctest with --output-on-failure
    - exclude CatalystEnginePlugin (paraview Catalyst is not available)
    - skip simple bpReader example (fails with BeginStep error on
      InquireVariable, not fixed by PR#3856)
    - skip examplePluginEngine tests, which require example plugins
      that have not been built
  * debian/control: libadios2-common-*-dev is arch:all so set
    versioned Depends using ${source:Version} not ${binary:Version}

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Nov 2023 16:53:35 +0100

adios2 (2.8.2+dfsg1-3) unstable; urgency=medium

  * debian/rules: override dh_missing for arch-dependent packages only.
    Closes: #1056287.

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Nov 2023 12:07:58 +0100

adios2 (2.8.2+dfsg1-2) unstable; urgency=medium

  * Build-Depends: architecture-is-64-bit, architecture-properties
    adios2 does not support 32-bit architectures
    cf. upstream docs setting_up.html#building-on-hpc-systems,
    upstream issues #1823, #2704
  * debian/tests: run actual tests from testing/install in
    adios2-{serial,mpi}-tests and move examples to
    adios2-{serial,mpi}-examples

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Nov 2023 12:45:41 +0100

adios2 (2.8.2+dfsg1-1) unstable; urgency=medium

  [ Kyle Edwards ]
  * Initial release (Closes: #960339)

  [ Drew Parsons ]
  * Add debian/watch file.
  * This build of adios2 includes "thirdparty" libraries developed by
    the same authors (Georgia Tech Research Corporation) under the
    same licence (BSD-3)
     - atl 2.2.1
     - dill 2.4.1
     - EVPath 4.5.0
     - ffs 1.6.0
     - nlohmann_json_wrapper (but exclude actual nlohmann_json source)
     - perfstubs [0.1]
     - KWSys
    Other thirdparty libraries are excluded in debian/copyright.
  * add debian patches
    - enet_pkgconfig.patch enables external enet to be
      located using pkg-config (as supported by enet upstream,
      rather than cmake config)
    - testing_fortran_small.patch processes fortran  SmallData library
      before processing binding tests
      Otherwise MPI tests don't have the small_data module available.
    - fix_Werror_replacement.patch fixes testing CMakefiles, which
      want to remove -Werror but leave any arguments to it hanging in place.
      cf. upstream Issue#3775.
    - plugin_path_test.patch installs plugin library
      (libEncryptionOperator.so) in plugin directory and fixes plugin
      path to test EncryptionOperator
    - link_core_mpi.patch activates C and CXX always for MPI builds
      even with MPI_Fortran. Needed since MPI support (core_mpi) needs
      MPI::MPI_CXX even when used from Fortran.
    - bp2h5_tool_install.patch installs bp2h5 with other binary tools
      (adios2_tools-runtime component)
    - thirdparty_soname.patch adds soversions to evpath (and cm*) and
      perfstubs to make shared library packaging conform with policy
    - ctest_lib_without_rpath.patch injects LD_LIBRARY_PATH for tests,
      needed since RUNPATH is removed from configuration.
    - cmake_config_flavor.patch records ADIOS2_LIBRARY_SUFFIX in
      installed cmake config files (adios2-config-common.cmake) and
      defines ADIOS2_LIBRARY_FLAVOR removing leading _underscore.
      Set minimum cmake version to 3.12 (adios2-config.cmake) to use
      REPLACE to define ADIOS2_LIBRARY_FLAVOR (needs 3.4, use 3.12 for
      consistency with toplevel source)
    - python_fix.patch fixes example python scripts to use int not
      numpy.int, which is now dropped from numpy
  * configure with cmake variable EVPATH_TRANSPORT_MODULES=OFF to
    prevent generation of standalone evpath transport libraries
    (cmselect etc)
  * plugin libraries (libEncryptionOperator.so) are placed in
    /usr/lib/*/adios2/{serial,mpi}/plugins
  * adios2_scripts-runtime is installed into adios2-scripts,
    depended on by the adios2*-bin packages
    Scripts are installed from install-serial, since their
    counterparts in install-mpi are identical
  * Most header files are identical between serial and mpi builds.
    Place common headers in libadios2-common-*-dev packages.
    - mark Conflicts between libadios2-serial-core-dev and
      libadios2-mpi-core-dev, since the same file
      /usr/include/adios2/common/ADIOSConfig.h has different values of
      ADIOS2_HAVE_MPI for serial (not defined) and mpi (defined).
    - mark Conflicts: between libadios2-serial-fortran-dev and
      libadios2-mpi-fortran-dev. The MPI build generates Fortran mod
      files in /usr/include/adios2/fortran which differ (contain mpi
      references) from the same file generated by the serial build.
    - debian/tests runs serial and mpi test examples separately
  * README.Debian installed by libadios2-serial-core-dev
    libadios2-mpi-core-dev python3-adios2 explains the serial and MPI
    builds, C C++ Fortran (and Python) packages, and location of the
    standard plugin library at
    /usr/lib/${DEB_HOST_MULTIARCH}/adios2/{serial,mpi}/plugins

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Sep 2023 18:12:44 +0200
